// Copyright Epic Games, Inc. All Rights Reserved.

#include "CsdkRuntime.h"

#define LOCTEXT_NAMESPACE "FCsdkRuntimeModule"

void FCsdkRuntimeModule::StartupModule()
{
	Version = FString::Printf(TEXT("%d.%d.%d"),CSDK_MajorVersion,CSDK_MiddleVersion,CSDK_MinorVersion);
	// This code will execute after your module is loaded into memory; the exact timing is specified in the .uplugin file per-module
}

void FCsdkRuntimeModule::ShutdownModule()
{
	// This function may be called during shutdown to clean up your module.  For modules that support dynamic reloading,
	// we call this function before unloading the module.
}

#undef LOCTEXT_NAMESPACE
	
IMPLEMENT_MODULE(FCsdkRuntimeModule, CsdkRuntime)